##
##  tsocks.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2015 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package versions
%define       V_base 1.8
%define       V_opkg 1.8b5
%define       V_dist 1.8beta5

#   package information
Name:         tsocks
Summary:      Transparent SOCKS Client Library
URL:          http://tsocks.sourceforge.net/
Vendor:       Shaun Clowes
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        PLUS
Group:        Network
License:      LGPL
Version:      %{V_opkg}
Release:      20151211

#   list of sources
Source0:      http://download.sourceforge.net/tsocks/tsocks-%{V_dist}.tar.gz
Source1:      tsocks.conf
Patch0:       tsocks.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, gcc, make
PreReq:       OpenPKG, openpkg >= 20100101

%description
    TSOCKS' role is to allow non-SOCKS aware applications (e.g telnet,
    ssh, ftp etc) to use SOCKS without any modification. It does this by
    intercepting the calls that applications make to establish network
    connections and negotating them through a SOCKS server as necessary.

%track
    prog tsocks = {
        version   = %{V_dist}
        url       = http://sourceforge.net/projects/tsocks/files/
        regex     = tsocks-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n tsocks-%{V_base}
    %patch -p0
    %{l_shtool} subst \
        -e 's;/usr/lib/libtsocks;%{l_prefix}/lib/tsocks/libtsocks;g' \
        tsocks

%build
    if  [ ! -f /lib/libdl.so ] && \
        [ ! -f /usr/lib/libdl.so ] && \
        [ ! -f /lib/i386-linux-gnu/libdl.so.2 ] && \
        [ ! -f /usr/lib/i386-linux-gnu/libdl.so.2 ] && \
        [ ! -f /lib/x86_64-linux-gnu/libdl.so.2 ] && \
        [ ! -f /usr/lib/x86_64-linux-gnu/libdl.so.2 ]; then
        %{l_shtool} subst -e 's;-ldl;-lc;' configure
    fi
    %{l_shtool} subst -e 's;-Wall;;' configure
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --libdir=%{l_prefix}/lib/tsocks \
        --with-conf=%{l_prefix}/etc/tsocks/tsocks.conf
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/tsocks
    %{l_shtool} install -c -m 755 \
        %{SOURCE tsocks.conf} $RPM_BUILD_ROOT%{l_prefix}/etc/tsocks/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/tsocks/tsocks.conf'

%files -f files

%clean

